org.encog.ml.world.basic

## Class BasicWorld

- java.lang.Object
- - org.encog.ml.world.basic.BasicWorld

- All Implemented Interfaces:
    World
  Direct Known Subclasses:
    GridWorld

      public abstract class BasicWorld
      extends Object
      implements World

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicWorld()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(Action action)`
    `void` | `addAgent(WorldAgent agent)`
    `void` | `addGoal(State s)`
    `void` | `addState(State state)`
    `void` | `createAbsorbingState(State s, double r)`
    `List<Action>` | `getActions()`
    `List<WorldAgent>` | `getAgents()`
    `List<State>` | `getGoals()`
    `double` | `getPolicyValue(State state, Action action)`
    `ActionProbability` | `getProbability()`
    `List<State>` | `getStates()`
    `boolean` | `isGoalState(State s)`
    `void` | `removeAgent(WorldAgent agent)`
    `void` | `removeGoal(State s)`
    `static void` | `removeRewardBelow(List<GridState> states, double d)`
    `void` | `runToGoal(WorldAgent a)`
    `void` | `setAllRewards(double d)`
    `void` | `setPolicyValue(State state, Action action, double r)`
    `void` | `setProbability(ActionProbability probability)`
    `void` | `tick()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicWorld

          public BasicWorld()

  - ### Method Detail

    - #### getActions

          public List<Action> getActions()

      Specified by:
        `getActions` in interface `World`

    - #### addAction

          public void addAction(Action action)

      Specified by:
        `addAction` in interface `World`

    - #### setPolicyValue

          public void setPolicyValue(State state,
                            Action action,
                            double r)

      Specified by:
        `setPolicyValue` in interface `World`

    - #### getPolicyValue

          public double getPolicyValue(State state,
                              Action action)

      Specified by:
        `getPolicyValue` in interface `World`

    - #### getProbability

          public ActionProbability getProbability()

      Specified by:
        `getProbability` in interface `World`
      Returns:
        the probability

    - #### setProbability

          public void setProbability(ActionProbability probability)

      Specified by:
        `setProbability` in interface `World`
      Parameters:
        `probability` - the probability to set

    - #### removeRewardBelow

          public static void removeRewardBelow(List<GridState> states,
                               double d)

    - #### getAgents

          public List<WorldAgent> getAgents()

      Specified by:
        `getAgents` in interface `World`

    - #### addAgent

          public void addAgent(WorldAgent agent)

      Specified by:
        `addAgent` in interface `World`

    - #### removeAgent

          public void removeAgent(WorldAgent agent)

      Specified by:
        `removeAgent` in interface `World`

    - #### addGoal

          public void addGoal(State s)

      Specified by:
        `addGoal` in interface `World`

    - #### removeGoal

          public void removeGoal(State s)

      Specified by:
        `removeGoal` in interface `World`

    - #### getGoals

          public List<State> getGoals()

      Specified by:
        `getGoals` in interface `World`

    - #### addState

          public void addState(State state)

      Specified by:
        `addState` in interface `World`

    - #### getStates

          public List<State> getStates()

      Specified by:
        `getStates` in interface `World`

    - #### isGoalState

          public boolean isGoalState(State s)

      Specified by:
        `isGoalState` in interface `World`

    - #### runToGoal

          public void runToGoal(WorldAgent a)

      Specified by:
        `runToGoal` in interface `World`

    - #### tick

          public void tick()

      Specified by:
        `tick` in interface `World`

    - #### setAllRewards

          public void setAllRewards(double d)

      Specified by:
        `setAllRewards` in interface `World`

    - #### createAbsorbingState

          public void createAbsorbingState(State s,
                                  double r)

Copyright © 2014. All Rights Reserved.